Default [Q] Downgrade Bluetooth Software on AT&T S4?

Hello XDA!

So since I got my Galaxy S4 (NC1 build) I have not been able to use the Bluetooth with my car (ACURA TL 2006). Apparently Samsung has upgraded the Bluetooth so far that it is no longer backwards compatible. There are lots of threads about this on ACURA forums, I am sure other cars have the same issue.

Is there anyway that I could :downgrade" the built-in Bluetooth to a lower version so that it works with older devices? Any upgrade doesn't benefit me anyway.

Any help is appreciated!